what4-1.5.1: Solver-agnostic symbolic values support for issuing queries

Safe Haskell | Safe-Inferred
Language | Haskell2010

What4.Utils.Endian

# Documentation

data Endian Source #

Constructors

LittleEndian |
BigEndian |

#### Instances

Instances details

Show Endian Source # |
Instance details Defined in What4.Utils.Endian Methods showsPrec :: Int -> Endian -> ShowS Source # show :: Endian -> String Source # showList :: [Endian] -> ShowS Source #
Eq Endian Source # |
Instance details Defined in What4.Utils.Endian Methods (==) :: Endian -> Endian -> Bool Source # (/=) :: Endian -> Endian -> Bool Source #
Ord Endian Source # |
Instance details Defined in What4.Utils.Endian Methods compare :: Endian -> Endian -> Ordering Source # (<) :: Endian -> Endian -> Bool Source # (<=) :: Endian -> Endian -> Bool Source # (>) :: Endian -> Endian -> Bool Source # (>=) :: Endian -> Endian -> Bool Source # max :: Endian -> Endian -> Endian Source # min :: Endian -> Endian -> Endian Source #